@ echo off
rem
rem  MAKETWX.BAT     by Paul W. Gibbons
rem
rem  This batch file combines the separate data files created by
rem  LOCALCIM 1.0 into a .TWX file for use with TW Explorer.
rem
rem  This procedure may require some modification to work with
rem  remote CIM-capture utilities.
rem
if (%1)==() goto syntax
if not exist %1.sct goto nofile
if not exist %1.prt goto nofile
echo.
echo Constructing .TWX file...
echo.
copy %1.twx %1.old
erase %1.twx
copy %1.sct %1.twx
type %1.prt >> %1.twx
type %1.min >> %1.twx
type %1.ftr >> %1.twx
erase %1.sct
erase %1.prt
erase %1.min
erase %1.ftr
goto end
:nofile
echo.
echo. Specified filename %1.SCT and/or %1.PRT not present.
echo.
goto end
:syntax
echo.
echo You must provide a filename on the command line.
echo Example:  MAKETWX BBSNAME
echo.
:end
